HomeGuidesReference↗ Forage Dashboard
Log In
Reference

Retrieve an Order Report

Fully Hosted And Custom Integrations Only

Order Reports are only relevant to Fully Hosted and Custom integrations. Only Fully Hosted and Custom integrations generate Forage Orders. Use any of the other /reporting/ endpoints if you’re building with an SDK.

A GET request to /reporting/orders/ retrieves an Order Report.

On success, the API returns a list of Forage Orders created during the provided reporting period.

Query Params
date
required

The date that the reporting period starts, represented as an ISO 8601 UTC date string, inclusive. The result set includes all reported items that occurred on the date.

date
required

The date that the reporting period ends, represented as an ISO 8601 UTC date string, inclusive. The result set includes all reported items that occurred on the date.

integer
Defaults to 100

The maximum number of objects to include in the results array. Not to exceed 1000. If the limit exceeds 1000, then Forage returns a 400 error response.

Defaults to 100.

string

The starting point for the results, as returned in a previous /reporting/ request. Find a cursor in the URL returned in the next and/or previous response values.

string

The status of the Orders to be returned in the response. succeeded is the only currently supported value, instructing the start_date and end_date params to refer to the order’s success_date, rather than its created value. The status filter has no effect if any other value is applied or if excluded from the request.

Headers
string

A unique merchant ID that Forage provides during onboarding, as in 123ab45c67. The Merchant ID can be found in the Forage sandbox or production dashboard.

If querying on behalf of a platform that supports multiple merchants, then omitting this header returns platform-wide results. You must indicate a Merchant-Account header to retrieve results for a specific merchant on a platform.

string

The Forage version, represented as a string with the format of a YYYY-MM-DD date.

If not specified in the request header, then the version defaults to the value set in the Forage dashboard.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json